package collect

import (
	"fmt"
	"regexp"
	"testing"
)

// func TestGetOne(t *testing.T) {
// 	c := NewCollect("./access.log", "asdf")
// 	err:=c.GetItems()
// 	fmt.Println(err)
// }

func TestOnItem(t *testing.T) {
	c := NewCollect("./access.log.2.gz", true)
	reg := regexp.MustCompile("m\\.yidianling\\.com")
	c.OnItem(func(item *Item) {
		if reg.MatchString(item.Host) && item.Status == 404 {
			fmt.Println(item)
		}
	})

	err := c.GetItems()
	fmt.Println(err)

	c.Exit()
}
